Load Error, repeated crash after Vray upgrade

General discussion on V-Ray for SketchUp

Load Error, repeated crash after Vray upgrade

Postby brooklynia373 » Wed Dec 27, 2017 7:28 pm

Hi, I upgraded to Vray 3 (and reprogrammed my dongle).
I am using Windows 8.1 and Sketchup Pro 2018.
I repeatedly get the message below and then SU crashes. It is unusable.
This problem is not happening in 2016 and Vray 3 works fine there.

Error Loading File C:/Program Files/Chaos Group/V-Ray/V-Ray for SketchUp/extension/ruby/init.rb
Error: #<StandardError: Failed to initialize V-Ray>
C:/Program Files/SketchUp/SketchUp 2018/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:54:in require' C:/Program Files/SketchUp/SketchUp 2018/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:54:inrequire’
C:/Program Files/Chaos Group/V-Ray/V-Ray for SketchUp/extension/ruby/init.rb:1:in <top (required)>' C:/Program Files/SketchUp/SketchUp 2018/Tools/extensions.rb:197:inrequire’
C:/Program Files/SketchUp/SketchUp 2018/Tools/extensions.rb:197:in load' C:/ProgramData/SketchUp/SketchUp 2018/SketchUp/Plugins/vfs.rb:26:inregister_extension’
C:/ProgramData/SketchUp/SketchUp 2018/SketchUp/Plugins/vfs.rb:26:in <module:VRay>' C:/ProgramData/SketchUp/SketchUp 2018/SketchUp/Plugins/vfs.rb:4:in<top (required)>’
0
User avatar
brooklynia373 
 

Re: Load Error, repeated crash after Vray upgrade

Postby 3dstart » Wed Jan 03, 2018 12:01 pm

Just in the plugin folder find su_dynamiccomponents.rb (open it with some ruby editor in the plugin store) and add to the beginning of the code: "UI.start_timer (5, false) {"
and at the end of the code: “}”. It will load DC plugins after all other (5 = seconds, false) plugins, as well as Vray. So the Vray load will be normal and you will be able to use all the benefits of sketchup and vray.
Plugin folder on win: C:\Users\User name\AppData\Roaming\SketchUp\SketchUp 2018\SketchUp\Plugins
0

3dstart 
 

Re: Load Error, repeated crash after Vray upgrade

Postby ark » Fri Jan 05, 2018 12:43 pm

Had the same problem, and tried the above solution.
It works partly - at least Sketchup isn't crashing anymore, but i still get an error message:

Error Loading File su_dynamiccomponents.rb
Error: #<SyntaxError: C:/Users/dbk/AppData/Roaming/SketchUp/SketchUp 2018/SketchUp/Plugins/su_dynamiccomponents.rb:28: syntax error, unexpected ',', expecting ')'
UI.start_timer (5, false){
^>


Any ideas what's wrong? :)

David
0

ark 
Premium Member
Premium Member
 

Re: Load Error, repeated crash after Vray upgrade

Postby brooklynia373 » Fri Jan 05, 2018 2:57 pm

Update: Chaos group sent a custom build for me to try and it worked with all plugins enabled. I assume this will be an updated release soon.
0
User avatar
brooklynia373 
 

Re: Load Error, repeated crash after Vray upgrade

Postby ark » Fri Jan 12, 2018 11:33 am

Regarding problems with sketchup crashing after installing Vray 3,6 I just received this workaround from Chaos group support:

This error seems to be caused by an incompatibility between V-Ray 3.6.1 and Dynamic Components plugin in SketchUp.
Please try the following:

1. Uninstall V-Ray
2. Open Sketchup and from the drop down menu Window --> Extension manager disable Dynamic Components extension. Then create a scene and save it, it doesn`t matter what it will be, the important part is to make a save.
3. After that close Sketchup, start it again, check in the Extension manager if Dynamic Components is still disabled and close Sketchup again.
4. Install V-Ray and start Sketchup and try to render with V-Ray.


And there will be a sub-release fixing this problem!

David :)
0

ark 
Premium Member
Premium Member
 

SketchUcation One-Liner Adverts

by Ad Machine » 5 minutes ago



Ad Machine 
Robot
 



 

Return to V-Ray

Who is online

Users browsing this forum: No registered users and 10 guests

Visit our sponsors: